## org.biojavax.ga.functions
Interface FitnessFunction

    public interface FitnessFunction

Calculates the fitness of an `Organism` in a `Population` of `Organisms`

Since:
  1.5
Version:
  1.0
Author:
  Mark Schreiber

Method Summary
`double` `fitness(Organism org, Population pop, GeneticAlgorithm genAlg)` Calculates the fitness of `org`.

Method Detail

### fitness

    double fitness(Organism org,
                   Population pop,
                   GeneticAlgorithm genAlg)

  Calculates the fitness of `org`. This can be done independently of the Population pop (by ignoring the argument in your implementation) or dependent on the other members of the `Population pop`.

  Parameters:
    `org` - The `Organism` to score
    `pop` - The `Population` to consider
    `genAlg` - the parent`GeneticAlgorithm`
  Returns:
    the fitness score.